function [polynomials_struct]=swift_scheme_init_monomials
% Load polynomials of all months into one matlab structure. The path to the
% files is hard wired (path  = /strat2/data/swift_extrapol/).
%
% OUTPUT:   polynomials_struct = structure containing the extrapolar SWIFT
%           polynomials
%
% Author: D. Kreyling, May 2017, original source
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
path  = '/strat2/data/swift_extrapol/';
monthstr={'Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'};

dox_monom=cell(1,12);
dox_monom_coef=cell(1,12);
dom_dox_monom=cell(1,12);
dom_dox_monom_coef=cell(1,12);
grad_dox_monom=cell(1,12);
grad_dox_monom_coef=cell(1,12);

% currently the  Ox-concentration polynomials are not in use (13.11.2015)
% ox_monom=cell(1,12);
% ox_monom_coef=cell(1,12);
% dom_ox_monom=cell(1,12);
% dom_ox_monom_coef=cell(1,12);
% grad_ox_monom=cell(1,12);
% grad_ox_monom_coef=cell(1,12);
for monthcount=1:12
    %DOx polynom
    load(sprintf('%s/polynom_fit/dox_4th_order_boa_polynom_fit_%s_intermon_lower_ext_dyntop.mat',path,monthstr{monthcount}));
    dox_monom{monthcount}=accept;
    dox_monom_coef{monthcount}=coeff;
    
    % Ox polyon
    % load(sprintf('/strat2/data/swift_extrapol/polynom_fit/ox_4th_order_allmonoms_polynom_fit_%s_zeta.mat', monthstr{monthcount}));
    % ox_monom{monthcount}=accept;
    % ox_monom_coef{monthcount}=coeff;
    
    % Domain DOx polynom 
    load(sprintf('%s/domain_fit/dox_4th_order_domain_fit_boa_%s_intermon_lower_ext_dyntop.mat',path,monthstr{monthcount}));
    dom_dox_monom{monthcount}=accept;
    dom_dox_monom_coef{monthcount}=coeff;
    
    % Domain Ox polynom 
    % load(sprintf('/strat2/data/swift_extrapol/domain_fit/ox_4th_order_domain_fit_allmonoms_%s_nodes_16_zeta.mat',monthstr{monthcount}));
    % dom_ox_monom{monthcount}=accept;
    % dom_ox_monom_coef{monthcount}=coeff;
    
    % Gradient of domain DOx polynom 
    load(sprintf('%s/domain_grad/grad_dox_4th_order_domain_fit_boa_%s_intermon_lower_ext_dyntop.mat',path,monthstr{monthcount}));
    grad_dox_monom{monthcount}=polygrad;
    grad_dox_monom_coef{monthcount}=bgrad;
    
    % Gradient of domain Ox polynom
    % load(sprintf('/strat2/data/swift_extrapol/domain_grad/grad_ox_4th_order_domain_fit_allmonoms_%s_nodes_16_zeta.mat',monthstr{monthcount}));
    % grad_ox_monom{monthcount}=polygrad;
    % grad_ox_monom_coef{monthcount}=bgrad;

end;

polynomials_struct = struct('dox_monom', {dox_monom}, 'dox_monom_coef', {dox_monom_coef},...
'dom_dox_monom', {dom_dox_monom}, 'dom_dox_monom_coef', {dom_dox_monom_coef},...
'grad_dox_monom', {grad_dox_monom}, 'grad_dox_monom_coef', {grad_dox_monom_coef});
%'ox_monom', {ox_monom}, 'ox_monom_coef', {ox_monom_coef},...
%'dom_ox_monom', {dom_ox_monom},'dom_ox_monom_coef', {dom_ox_monom_coef},...
%'grad_ox_monom', {grad_ox_monom}, 'grad_ox_monom_coef', {grad_ox_monom_coef}...
%);
